Subject: Re: [PATCH net-next] dpaa2-eth: add ethtool MAC counters

From: Andrew Lunn <[email-masked]>
Date: Thu, 7 Nov 2019 14:01:44 +0100

> Anyhow, I'll add this to the list of things to improve in the fw :)

Hi Ioana

I also later thought about snapshotting. Often the hardware supports
taking an atomic copy of all the statistics. You can then read back
the copy, knowing that the values should be consistent. None get
incremented while you read individual counters.

Something else you can consider adding to the firmware.

	  Andrew